org.eclipse.eef.core.api.controllers

## Interface IEEFToolbarActionController

All Known Subinterfaces:
  IEEFGroupController, IEEFSectionController

All Known Implementing Classes:
  EEFGroupController, EEFSectionController

    public interface IEEFToolbarActionController

The EEFToolbarActionController is responsible of supporting the execution of the action.

### Method Summary

All Methods Instance Methods Default Methods
`default org.eclipse.core.runtime.IStatus` `action(EEFToolbarAction action, EditingContextAdapter editingContextAdapter, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)` Invoked when the user clicks on an action button.

### Method Detail

#### action

    default org.eclipse.core.runtime.IStatus action(EEFToolbarAction action,
                                                    EditingContextAdapter editingContextAdapter,
                                                    org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                                                    org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)

Invoked when the user clicks on an action button.

Parameters:
  `action` - Toolbar action
  `editingContextAdapter` - The editing context adapter
  `interpreter` - The interpreter
  `variableManager` - The variable manager
Returns:
  the status of the action execution